const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true,
  devServer: {
    port: 8080,
    host:"192.168.0.160", //192.168.0.184

    publicPath: process.env.NODE_ENV === "production" ? "./" : "/",
    proxy:{
        '/api':{
            target:"http://192.168.0.160:9090",
            changOrigin: true,  //允许跨域
            pathRewrite:{
                '^/api':''  //重写路径
            }
        }
    }
  }
})
