package com.gjz.xiaoheizi.controller.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.gjz.xiaoheizi.entity.Callout;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Guan
 * @date 2022/10/20
 * discription
 */
@Data
@TableName(value = "sys_merchant")
public class MerchantDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String latitude;
    private String longitude;
    private String title;
    private String describes;
    private Integer width;
    private Integer height;
    private Callout callout;
    private Integer status;

    private String phone;
    private String location;
    private Integer viewCount;

    private String dish;
}
