package com.gjz.xiaoheizi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Guan
 * @date 2022/10/19
 * discription
 */
@Data
@TableName(value = "sys_merchant")
@ApiModel(value = "Merchant对象",description = "")
public class Merchant implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String latitude;
    private String longitude;
    private String title;
    private String describes;
    private Integer width;
    private Integer height;
    private Integer status;

    private String phone;
    private String location;
    private Integer viewCount;

    private String dish;

    @TableField(exist = false)
    private Callout callout;
}
