package com.gjz.xiaoheizi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gjz.xiaoheizi.entity.Banner;
import com.gjz.xiaoheizi.entity.Files;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author Guan
 * @date 2023/2/21
 * discription
 */
public interface BannerMapper extends BaseMapper<Banner> {

    @Select("SELECT icon_path FROM `sys_bannerfiles`")
    List<Files> findAllFilesPath();

    @Delete("delete from sys_bannerfiles where icon_path = #{path}")
    void deleteByPath(String path);
}
