package com.gjz.xiaoheizi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gjz.xiaoheizi.entity.Callout;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * @author Guan
 * @date 2022/10/20
 * discription
 */
public interface CalloutMapper extends BaseMapper<Callout> {

    @Delete("DELETE FROM `sys_callout` where merchant_id=#{merchanId}")
    void delByMerchantId (Integer id);

    @Insert("INSERT INTO sys_callout(content, merchant_id) VALUES(#{content},#{merchantId})")
    int insert (Callout callout);

    @Update("update sys_callout set content=#{content} where merchant_id =#{merchantId}")
    int updateContentInt(Callout callout);
}
