package com.gjz.xiaoheizi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gjz.xiaoheizi.entity.ScenicSpotCallout;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Update;

/**
 * @author Guan
 * @date 2023/2/2
 * discription
 */
public interface ScenicSpotCalloutMapper extends BaseMapper<ScenicSpotCallout> {

    @Delete("DELETE FROM `sys_scenicspotcallout` where scenicspot_id=#{scenicspotId}")
    void deleteByScenciSpotId(Integer id);

    @Update("update sys_scenicspotcallout set content=#{content} where scenicspot_id =#{scenicspotId}")
    int updateContentInt(ScenicSpotCallout scenicSpotCallout);

    @Insert("INSERT INTO sys_scenicspotcallout(content, scenicspot_id) VALUES(#{content},#{scenicspotId})")
    int insert(ScenicSpotCallout scenicSpotCallout);
}
