package com.gjz.xiaoheizi.controller.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Guan
 * @date 2023/2/19
 * discription
 */
@Data
@TableName(value = "sys_strategy")
public class StrategyDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String title;

    private String strategy;

    private Integer status;

    private List<StrategyIcon> iconList;

}