package com.gjz.xiaoheizi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Guan
 * @date 2023/2/2
 * discription
 */
@Data
@TableName(value = "sys_scenicspot")
public class ScenicSpot implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String latitude;
    private String longitude;
    private String title;
    private String describes;
    private Integer width;
    private Integer height;
    private Integer status;
    private Integer viewCount;
    private String attention;
    private String playTime;

    @TableField(exist = false)
    private ScenicSpotCallout callout;
}
