package com.gjz.xiaoheizi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gjz.xiaoheizi.controller.dto.NotificationFilesDto;
import com.gjz.xiaoheizi.entity.NotificationFiles;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author Guan
 * @date 2023/2/10
 * discription
 */
public interface NotificationFilesMapper extends BaseMapper<NotificationFiles> {

    @Select("select icon_path from sys_notificationfiles where notification_id = #{notificationId}")
    List<NotificationFilesDto> getFileUUIDList(String notificationId);

    @Delete("delete from sys_notificationfiles where notification_id = #{notificationId}")
    boolean removeByScenicspotId(String notificationId);
}
