package com.gjz.xiaoheizi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gjz.xiaoheizi.controller.dto.ScenicSpotFilesDto;
import com.gjz.xiaoheizi.entity.ScenicSpotFiles;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author Guan
 * @date 2023/2/2
 * discription
 */
public interface ScenicSpotFilesMapper extends BaseMapper<ScenicSpotFiles> {

    @Select("select icon_path from sys_scenicspotfiles where scenicspot_id = #{scenicspotId}")
    List<ScenicSpotFilesDto> getFileUUIDList(String scenicspotId);

    @Delete("delete from sys_scenicspotfiles where scenicspot_id = #{scenicspotId}")
    boolean removeByScenicspotId(String scenicspotId);
}
