package com.gjz.xiaoheizi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gjz.xiaoheizi.controller.dto.StrategyFilesDto;
import com.gjz.xiaoheizi.entity.StrategyFiles;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author Guan
 * @date 2023/2/17
 * discription
 */
public interface StrategyFilesMapper extends BaseMapper<StrategyFiles> {

    @Select("select icon_path from sys_strategyfiles where strategy_id = #{strategyId}")
    List<StrategyFilesDto> getFileUUIDList(String strategyId);

    @Delete("delete from sys_strategyfiles where strategy_id = #{strategyId}")
    boolean removeByScenicspotId(String strategyId);
}
