package com.gjz.xiaoheizi.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gjz.xiaoheizi.entity.Callout;
import com.gjz.xiaoheizi.mapper.CalloutMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author Guan
 * @date 2022/10/20
 * discription
 */
@Service
public class CalloutService extends ServiceImpl<CalloutMapper, Callout> {

    @Autowired
    private CalloutMapper calloutMapper;
    public boolean saveCallout(Callout callout) {
        return saveOrUpdate(callout);
    }

    public void deleteCallout(Integer id){
        calloutMapper.delByMerchantId(id);
    }

    public int insertCallout(Callout callout){
        return calloutMapper.insert(callout);
    }

    public int updateContent(Callout callout){
        return calloutMapper.updateContentInt(callout);
    }
}
