package com.gjz.xiaoheizi.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gjz.xiaoheizi.entity.ScenicSpotCallout;
import com.gjz.xiaoheizi.mapper.ScenicSpotCalloutMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author Guan
 * @date 2023/2/2
 * discription
 */
@Service
public class ScenicSpotCalloutService extends ServiceImpl<ScenicSpotCalloutMapper, ScenicSpotCallout> {

    @Autowired
    private ScenicSpotCalloutMapper scenicSpotCalloutMapper;
    //删除ScenicSpotCallout数据
    public void deleteSpotCallout(Integer id) {
        scenicSpotCalloutMapper.deleteByScenciSpotId(id);
    }

    public int updateContent(ScenicSpotCallout scenicSpotCallout) {
        return scenicSpotCalloutMapper.updateContentInt(scenicSpotCallout);
    }

    public int insertCallout(ScenicSpotCallout scenicSpotCallout) {
        return scenicSpotCalloutMapper.insert(scenicSpotCallout);
    }
}
